﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.CouponServices.Dtos
{
    public class CouponRecordDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 发放时间
        /// </summary>
        public DateTime SendTime { get; set; }
        /// <summary>
        /// 发放数量
        /// </summary>
        [Range(0, int.MaxValue)]
        public int SendNum { get; set; }
        /// <summary>
        /// 优惠券Id
        /// </summary>
        public string Coupon_Id { get; set; }
        /// <summary>
        /// 适用范围类型 1.店铺  2.供应商 3.区域
        /// </summary>
        public int RangeType { get; set; }
        /// <summary>
        /// 是否启用 0 禁用 1.启用
        /// </summary>
        [Range(0, 1, ErrorMessage = "状态错误")]
        public int Status { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 店铺区域或供应商管理关系
        /// </summary>
        public List<string> Relation { get; set; }
        /// <summary>
        /// 商品Id
        /// </summary>
        public List<string> GoodsRelation { get; set; }
        /// <summary>
        /// 区域 或者 供应商 或者店铺名称
        /// </summary>
        public string Supplier { get; set; }
    }
   
}
