﻿using BPA.Kitchen.Core.Common;
using BPA.KitChen.StoreManagement.Application.BaseDto;
using BPA.KitChen.StoreManagement.Core.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.CouponServices.Dtos
{
    public class CustomerCouponBaseDto
    {
        /// <summary>
        /// 顾客优惠劵Id
        /// </summary>
        [Required]
        public string CustomerCouponId { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        [Required]
        public string OrderId { get; set; }
        /// <summary>
        /// 优惠券Id
        /// </summary>
        public string CouponId { get; set; }
        /// <summary>
        /// 客户Id
        /// </summary>
        public string CustomerId { get; set; }
        /// <summary>
        /// 店铺Id
        /// </summary>
        [Required]
        public List<string> StoreId { get; set; }
        /// <summary>
        /// 商品Id
        /// </summary>
        public List<string> GoodsId { get; set; }
        /// <summary>
        /// 优惠券状态
        /// </summary>
        [Required]
        [CustomValidation(typeof(DtoValidator), "CouponUseType")]
        public CouponUseType UseType { get; set; }
        /// <summary>
        /// 下单时间
        /// </summary>
        [Required]
        public DateTime OrderTime { get; set; }
    }
}
