﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.CouponServices.Dtos
{
    public class CustomerCouponOutputDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 优惠券名称
        /// </summary>
        public string CouponTitle { get; set; }
        /// <summary> 
        /// 优惠券值(优惠金额) 
        /// </summary> 
        public decimal CouponValue { get; set; }
        /// <summary> 
        /// 使用条件 
        /// </summary> 
        public decimal Condition { get; set; }
        /// <summary>
        /// 客户Id
        /// </summary>
        public string CustomerId { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 领取方式(1.小程序领取 2.线下门店扫码 3.活动自动下发  4.好友分享领取 5.指定发放)
        /// </summary>
        public int ReceiveType { get; set; }
        /// <summary>
        /// 优惠券Id
        /// </summary>
        public string CouponId { get; set; }
        /// <summary>
        /// 店铺Id
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 状态（1:未使用 2.已核销 3.占用中 4.失效）
        /// </summary>
        public int State { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime ValidStartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime ValidEndTime { get; set; }
        /// <summary>
        /// 核销时间
        /// </summary>
        public DateTime? WriteOffTime { get; set; }
        /// <summary>
        /// 范围Id
        /// </summary>
        public string CouponRangeId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public List<string> Remarks { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        [Newtonsoft.Json.JsonIgnore]
        public int? CouponType { get; set; }
        /// <summary>
        /// 优惠券类型
        /// </summary>
        public string CouponTypeStr => !CouponType.HasValue ? "" : (CouponType == 1 ? "满减优惠卷" : (CouponType == 2 ? "代金优惠卷" : "无门槛优惠卷"));
        /// <summary>
        /// 适用条件
        /// </summary>
        public string ConditionStr => !CouponType.HasValue ? "" : (CouponType == 1 ? $"满{Condition}元减{CouponValue}元" : (CouponType == 2 ? $"可抵扣{CouponValue}元" : "无门槛优惠卷"));
        /// <summary>
        /// 适用范围
        /// </summary>
        public List<string> UseRange { get; set; }
        /// <summary>
        /// 适用商品
        /// </summary>
        public List<string> UseGoods { get; set; }
        /// <summary>
        /// 适用范围
        /// </summary>
        public string RangeTypeStr { get; set; }
    }
    public class Temp
    {
        public string Coupon_Range_Id { get; set; }
    }

    public class CusomterCouponDTO
    {
        /// <summary>
        /// wx号
        /// </summary>
        public string OpenId { get; set; }
        /// <summary>
        /// 客户Id
        /// </summary>
        public string CustomerId { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 优惠券名称
        /// </summary>
        public string CouponTitle { get; set; }
        /// <summary>
        /// 优惠券Id
        /// </summary>
        public string CouponId { get; set; }
        /// <summary>
        /// 状态（1:未使用 2.已核销 3.占用中 4.失效）
        /// </summary>
        public int Stutas { get; set; }
        /// <summary>
        /// 状态汉字描述
        /// </summary>
        public string StutasDes
        {
            get
            {
                if (Stutas == 1)
                    return "未使用";
                else if (Stutas == 2)
                    return "已核销";
                else if (Stutas == 3)
                    return "占用中";
                else
                    return "已失效";
            }
        }
    }
}
