﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.CouponServices.Dtos
{
    public class CustomerCouponPageDto : PageInputBase
    {
        /// <summary>
        /// 客户Id
        /// </summary>
        public string CustomerId { get; set; }
        /// <summary>
        /// 状态（1:未使用 2.已核销 3.占用中 4.失效) 不传就是全部
        /// </summary>
        public int? State { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        public string CustomerPhone { get; set; }
        /// <summary>
        /// 可用商品
        /// </summary>
        public List<string> GoodsId { get; set; }
        /// <summary>
        /// 总价
        /// </summary>
        public decimal? TotalPrice { get; set; }
    }

    public class CustomerCouponCanUseDto {
        /// <summary>
        /// 可用商品
        /// </summary>
        [Required]
        public List<string> GoodsId { get; set; }
        /// <summary>
        /// 总价
        /// </summary>
        public decimal? TotalPrice { get; set; }
        /// <summary>
        /// 客户Id
        /// </summary>
        [Required]
        public string CustomerId { get; set; }
        /// <summary>
        /// 店铺Id
        /// </summary>
        [Required]
        public List<string> StoreId { get; set; }
    }


    public class CustomerCouponPageExDto : CustomerCouponPageDto
    {
        /// <summary>
        /// 优惠券名称
        /// </summary>
        public string CouponTitle { get; set; }
        /// <summary>
        /// 领取方式(1.小程序领取 2.线下门店扫码 3.活动自动下发  4.好友分享领取 5.指定发放)
        /// </summary>
        public int? ReceiveType { get; set; }
        /// <summary>
        /// 批次号
        /// </summary>
        public string BatchNo { get; set; }

        public string StoreName { get; set; }

        public string OrderId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 核销时间
        /// </summary>
        public DateTime? WriteOffTime { get; set; }
        /// <summary>
        /// 客户手机号
        /// </summary>
        public string CustomerPhone { get; set; }
    }
}
