﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.GoodsCoupon.Dtos;
using BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.PaperCouponsServices.Dtos;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.GoodsCoupon
{
    /// <summary>
    /// 接口服务
    /// </summary>
    public interface IGoodsCouponServices
    {
        /// <summary>
        ///  获取优惠卷_分页
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<PageUtil> GetGoodsCouponPgageAsync(PageGoodsCouponInputDto inputDto);
        /// <summary>
        /// 新增优惠卷
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> AddGoodsCoupon(GoodsCouponBasetDto inputDto);
        /// <summary>
        /// 更新优惠卷启用状态
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        Task<bool> UpdateGoodsCouponEnable(string Ids);
        /// <summary>
        /// 修改优惠卷
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> UpdateGoodsCoupon([FromBody] GoodsCouponBasetDto inputDto);
        /// <summary>
        /// 统计报表
        /// </summary>
        /// <param name="paperCouponReportdto"></param>
        /// <returns></returns>
        Task<List<GoodsCouponReportDatadto>> GetGoodsCouponReport(PaperCouponReportdto paperCouponReportdto);
    }
}
