﻿
using BPA.KitChen.StoreManagement.Application.BaseDto;
using BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.PaperCouponsServices.Dtos;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.PaperCouponsServices
{
    public interface IPaperCouponsServices
    {
        /// <summary>
        /// 分页查询数据
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<PageUtil> GetPaperCouponPgageAsync(PagePaperCouponInputDto inputDto);
        /// <summary>
        /// 添加数据
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> AddPaperCoupon(PaperCouponBasetDto inputDto);
        /// <summary>
        /// 删除数据
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        Task<bool> UpdatePaperCouponEnable(string Ids);
        /// <summary>
        /// 更新数据
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> UpdatePaperCoupon([FromBody] PaperCouponBasetDto inputDto);
        /// <summary>
        /// 添加优惠卷类型
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> AddPaperCouponType(PaperCouponTypeBasetDto inputDto);
        /// <summary>
        /// 查询所有优惠卷类型
        /// </summary>
        /// <returns></returns>
        Task<List<PaperCouponTypeSelectDto>> GetPaperCouponType();
        /// <summary>
        /// 统计
        /// </summary>
        /// <param name="paperCouponReportdto"></param>
        /// <returns></returns>
        Task<List<PaperCouponReportDatadto>> GetPaperCouponReport(PaperCouponReportdto paperCouponReportdto);
    }
}
