﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity.Coupon
{
    /// <summary>
    /// 优惠卷
    /// </summary>
    [SugarTable("BPA_Coupon")]
    public class BPA_Coupon: IBaseGroupIdEntity
    {
        
        /// <summary> 
        /// 优惠券标题 
        /// </summary> 
        public string CouponTitle { get; set; }
        /// <summary> 
        /// 优惠券类型(1.满减优惠卷  2.代金优惠卷  3.无门槛优惠卷) 
        /// </summary> 
        public int CouponType { get; set; }
        /// <summary> 
        /// 优惠券值(优惠金额) 
        /// </summary> 
        public decimal CouponValue { get; set; }
        /// <summary> 
        /// 使用条件 
        /// </summary> 
        public decimal Condition { get; set; }
        /// <summary> 
        /// 使用时间的类型 1.时间范围内  2.固定期限 
        /// </summary> 
        public int TimeType { get; set; }
        /// <summary> 
        /// 固定期限值（如领取后10内有效） 
        /// </summary> 
        public int ValidFixedTerm { get; set; }
        /// <summary> 
        /// 开始时间 
        /// </summary> 
        public DateTime ValidStartTime { get; set; }
        /// <summary> 
        /// 结束时间 
        /// </summary> 
        public DateTime ValidEndTime { get; set; }
        /// <summary> 
        /// 状态（1:生效、2：失效 3：作废  4.停用） 
        /// </summary> 
        public int ValidStatus { get; set; }
        /// <summary> 
        /// 每人可领取数量 
        /// </summary> 
        public int GetLimit { get; set; }
        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remarks { get; set; }
        /// <summary> 
        /// 创建人类型(0.供应商 1.平台) 
        /// </summary> 
        public int CreateType { get; set; }

    }
}
