﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity.Coupon
{
    [SugarTable("BPA_CouponLog")]
    public class BPA_CouponLog : IBaseEntity
    {
        /// <summary>
        /// 订单Id
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string OrderId { get; set; }
        /// <summary>
        /// 客户Id -- 微信的OpenId
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string CustomerId { get; set; }
        /// <summary>
        /// 0表示退单反券 1表示订单完成
        /// </summary>
        [SugarColumn(ColumnDataType = "INT", IsNullable = true)]
        public int OrderType { get; set; }
        /// <summary>
        /// 券Id
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string CouponId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(255)", IsNullable = true)]
        public string Remark { get; set; }
        /// <summary>
        /// 订单时间
        /// </summary>
        [SugarColumn(ColumnDataType = "DATETIME", IsNullable = true)]
        public DateTime OrderTime { get; set; }
        /// <summary>
        /// 客户领券表Id
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string Coupon_Customer_Id { get; set; }
    }
}
